Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class PrivateKeyInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.pkcs.PrivateKeyInfo

All Implemented Interfaces:
  DEREncodable

public class PrivateKeyInfo
extends ASN1Encodable

Constructor Summary
`PrivateKeyInfo(AlgorithmIdentifier algId, DERObject privateKey)`
`PrivateKeyInfo(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getAlgorithmId()`
`ASN1Set` | `getAttributes()`
`static PrivateKeyInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PrivateKeyInfo` | `getInstance(java.lang.Object obj)`
`DERObject` | `getPrivateKey()`
`DERObject` | `toASN1Object()` write out an RSA private key with it's asscociated information as described in PKCS8.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateKeyInfo

    public PrivateKeyInfo(AlgorithmIdentifier algId,
                          DERObject privateKey)

### PrivateKeyInfo

    public PrivateKeyInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static PrivateKeyInfo getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

### getInstance

    public static PrivateKeyInfo getInstance(java.lang.Object obj)

### getAlgorithmId

    public AlgorithmIdentifier getAlgorithmId()

### getPrivateKey

    public DERObject getPrivateKey()

### getAttributes

    public ASN1Set getAttributes()

### toASN1Object

    public DERObject toASN1Object()

  write out an RSA private key with it's asscociated information as described in PKCS8.

            PrivateKeyInfo ::= SEQUENCE {
                                    version Version,
                                    privateKeyAlgorithm AlgorithmIdentifier {{PrivateKeyAlgorithms}},
                                    privateKey PrivateKey,
                                    attributes [0] IMPLICIT Attributes OPTIONAL
                                }
            Version ::= INTEGER {v1(0)} (v1,...)

            PrivateKey ::= OCTET STRING

            Attributes ::= SET OF Attribute

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD